org.eclipse.net4j.util.properties

## Class DefaultPropertyTester<RECEIVER>

- java.lang.Object
- - org.eclipse.core.expressions.PropertyTester
  - - org.eclipse.net4j.util.properties.DefaultPropertyTester<RECEIVER>

- All Implemented Interfaces:
    IPropertyTester, IProperties<RECEIVER>, IPropertyProvider<RECEIVER>

      public class DefaultPropertyTester<RECEIVER>
      extends PropertyTester
      implements IProperties<RECEIVER>

  Tests properties of receiver objects against expected values.
  Since:
    3.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPropertyTester(String namespace, IProperties<RECEIVER> properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Property<RECEIVER> property)`
    `protected RECEIVER` | `convertReceiver(Object receiver)`
    `void` | `dumpContributionMarkup()`
    `String` | `getNamespace()`
    `List<Property<RECEIVER>>` | `getProperties()`
    `Property<RECEIVER>` | `getProperty(String name)`
    `Class<RECEIVER>` | `getReceiverType()`
    `protected String` | `getReceiverTypeName()`
    `boolean` | `test(Object receiver, String propertyName, Object[] args, Object expectedValue)`

    - ### Methods inherited from class org.eclipse.core.expressions.PropertyTester

      `handles, instantiate, internalCreateDescriptor, internalInitialize, isDeclaringPluginActive, isInstantiated`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPropertyTester

          public DefaultPropertyTester(String namespace,
                                       IProperties<RECEIVER> properties)

  - ### Method Detail

    - #### getNamespace

          public final String getNamespace()

    - #### getReceiverType

          public Class<RECEIVER> getReceiverType()

      Specified by:
        `getReceiverType` in interface `IProperties<RECEIVER>`

    - #### getProperty

          public Property<RECEIVER> getProperty(String name)

      Specified by:
        `getProperty` in interface `IProperties<RECEIVER>`

    - #### getProperties

          public List<Property<RECEIVER>> getProperties()

      Specified by:
        `getProperties` in interface `IPropertyProvider<RECEIVER>`

    - #### add

          public void add(Property<RECEIVER> property)

      Specified by:
        `add` in interface `IProperties<RECEIVER>`

    - #### test

          public boolean test(Object receiver,
                              String propertyName,
                              Object[] args,
                              Object expectedValue)

      Specified by:
        `test` in interface `IPropertyTester`

    - #### convertReceiver

          protected RECEIVER convertReceiver(Object receiver)

      Since:
        3.5

    - #### getReceiverTypeName

          protected String getReceiverTypeName()

      Since:
        3.5

    - #### dumpContributionMarkup

          public void dumpContributionMarkup()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html